| Home | Libraries | People | FAQ | More

##### authority_view::operator<=

Return the result of comparing two authorities The authorities are compared component by component as if they were first normalized.

###### Synopsis

Defined in header `<boost/url/authority_view.hpp>`

    bool
    operator<=(
        authority_view const& a0,
        authority_view const& a1);

###### Complexity

Linear in `min( a0.size(), a1.size() )`

###### Exception Safety

Throws nothing

Convenience header `<boost/url.hpp>`